%global debug_package %{nil}

Name:       openvpn-cred-management
Version:    0.0.git.28.f3815926
Release:    1%{?dist}
Summary:    A wrapper around easy-rsa for personal convenience.
License:    MIT
URL:        https://github.com/cyqsimon/openvpn-cred-management
VCS:        git+https://github.com/cyqsimon/openvpn-cred-management.git#f381592663f9e56b8db811ba319a53d9530e94e4:
Source:     openvpn-cred-management-f3815926.tar.gz

Requires:       easy-rsa
BuildRequires:  gcc

%description
A wrapper around easy-rsa for personal convenience.
Not tested whatsoever so you probably shouldn't use it.

%prep
%setup -T -b 0 -q -n openvpn-cred-management

# use latest stable version from rustup
curl -Lf "https://sh.rustup.rs" | sh -s -- --profile minimal -y

%build
source ~/.cargo/env
cargo build --release

%install
install -Dpm 755 target/release/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%{_bindir}/%{name}

%changelog
